Subject: Re: bug#28445: match-error in 'device-sexp->device' while building system

From: [email-masked] (Ludovic Courtès)
Date: Sat, 07 Oct 2017 00:22:48 +0200

Hi Mark,

Mark H Weaver <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>> Andy pushed the first half of the fix as
>> 96bc6518002c3b2ad9f15cf36991b20bebcbbe8a.  Could you check whether the
>> ‘ensure-not-/dev’ part below solves the rest?
>
> I see that you've pushed the 'ensure-not-/dev' part, and I have that now
> in my tree, but FYI it didn't solve the problem for me.  My system
> 'parameters' file contains:
>
>   (store (device "/dev/mapper/jojen-root") (mount-point "/"))
>
> and my grub.cfg still uses:
>
>   search --label --set /dev/mapper/jojen-root

I tested with the config you had posted, and commit
90d23ed9df33e35e157fecd8ab60f55e716ca42f fixes the problem.

Let me know if anything else pops up in this area!

Thank you,
Ludo’.